import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

public class Gen {
    public static void main(String[] args) throws IOException {
        int size = Integer.parseInt(args[1]);
        long t1 = System.currentTimeMillis();
        try(PrintWriter pw = new PrintWriter(new FileWriter(args[0]))) {
            for(int i = 0; i < size / 10; i++) {
                for(int j = 0; j < 10 - System.getProperty("line.separator").length(); j++) {
                    pw.print(Integer.toString(i % 10));
                }
                pw.println();
            }
        }
        long t2 = System.currentTimeMillis();
        System.out.printf("Gen (%d bytes) : %d ms\n", size, t2 - t1);
    }
}
