#include <stdio.h>
#include <stdlib.h>

#include "high_res_timer.h"

static void test(const char *fnm, int expect)
{
    FILE *fp;
    char line[1000];
    TIMECOUNT_T t1, t2;
    int n;
    t1 = GET_TIMECOUNT;
    fp = fopen(fnm, "r", "ctx=stm");
    n = 0;
    while(fgets(line, sizeof(line), fp))
    {
        n++;
    }
    if(n != expect)
    {
        printf("%d lines\n", n);
    }
    fclose(fp);
    t2 = GET_TIMECOUNT;
    printf("C fgets (ctx=stm): %d ms\n", (int)((t2 - t1) * 1000 / UNITS_PER_SECOND));
}

int main(int argc, char *argv[])
{
    int i;
    for(i = 0; i < 10; i++)
    {
        test(argv[1], atoi(argv[2]));
    }
    return 0;
}
